/***
* 		RandomLib.h -- header for Random.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE    | WHAT
============================================================================
	 6 Feb 93 | created
*/

#ifndef RAND_LIB_H
#define RAND_LIB_H

#ifndef EXEC_TYPES_H
 #include <exec/types.h>
#endif

#ifndef BARS_H
 #include "bars.h"
#endif

/******
!	callers must have parameters in tool structure immediately after Tool
!  for poisson(), beta(), and weibull()
!! which will cause problems if a configurable tool uses any of the random
!! functions in the library!!
*******/

struct _Rand_Tool {
	struct Tool tool;
	double randparm;
	double randparm2;
};

/**** this poop is to use floating point in scm.lib ***/
extern void __regargs _CXBRK(void);
extern void _XCEXIT(long);

#include "proto/RandomLib_protos.h"

#endif