/* Prototypes for functions defined in
m:lib/src/bpl_bevelbox.c
 */

void DrawBevelBox(struct RastPort * rp,
                  WORD x,
                  WORD y,
                  WORD x2,
                  WORD y2,
                  WORD shine,
                  WORD shadow,
                  UWORD depressed);

/* Prototypes for functions defined in
m:lib/src/bpl_chksx.c
 */

char * checksysex(struct StringEvent * string,
                  BYTE midiID,
                  ULONG toolID);

/* Prototypes for functions defined in
m:lib/src/bpl_clean.c
 */

void CleanseList(struct Event * list,
                 ULONG mindiff,
                 ULONG offset);

/* Prototypes for functions defined in
m:lib/src/bpl_edwintit.c
 */

char * MakeEditWindowTitle(struct Tool * tool,
                           char const * name,
                           long maxchar);

/* Prototypes for functions defined in
m:lib/src/bpl_eraseg.c
 */

void EraseEmbossed(struct Window * w,
                   SHORT id);

/* Prototypes for functions defined in
m:lib/src/bpl_event.c
 */

struct Event * alloceventlist(ULONG count);

/* Prototypes for functions defined in
m:lib/src/bpl_fatprop.c
 */

void EnableFatProp(struct Window * w,
                   int id,
                   int downid,
                   int upid,
                   int enable);

/* Prototypes for functions defined in
m:lib/src/bpl_fnnode.c
 */

char * fnnode(char * name);

/* Prototypes for functions defined in
m:lib/src/bpl_glist.c
 */

void EmbossOnGList(struct Window * w,
                   struct Gadget * glist,
                   UWORD count,
                   WORD command);

void EmbossOffGList(struct Window * w,
                    struct Gadget * glist,
                    UWORD count);

void DrawEmbossedGList(struct Window * w,
                       struct Gadget * glist,
                       UWORD count);

/* Prototypes for functions defined in
m:lib/src/bpl_gtext.c
 */

void SetGadgetText(struct Window * w,
                   int id,
                   char * s);

/* Prototypes for functions defined in
m:lib/src/bpl_hilopcent.c
 */

long __stdargs __saveds hiloPercent(struct Window * , struct Gadget * , long );

/* Prototypes for functions defined in
m:lib/src/bpl_hilo.c
 */

long __stdargs __saveds hilo(struct Window * , struct Gadget * , long );

/* Prototypes for functions defined in
m:lib/src/bpl_hilonote.c
 */

long __stdargs __saveds hiloNote(struct Window * , struct Gadget * , long );

/* Prototypes for functions defined in
m:lib/src/bpl_hilosw.c
 */

long __stdargs __saveds hiloSwitch(struct Window * , struct Gadget * , long );

/* Prototypes for functions defined in
m:lib/src/bpl_hilobeats.c
 */

long __stdargs __saveds hiloBeats(struct Window * , struct Gadget * , unsigned long );

/* Prototypes for functions defined in
m:lib/src/bpl_inpad.c
 */

UBYTE InToolPad(struct Tool * tool);

/* Prototypes for functions defined in
m:lib/src/bpl_lcount.c
 */

ULONG listcount(struct MinNode * list);

/* Prototypes for functions defined in
m:lib/src/bpl_lend.c
 */

ULONG * listend(struct MinNode * list);

/* Prototypes for functions defined in
m:lib/src/bpl_newopenwind.c
 */

struct NewWindow * NewOpenEmbossedWindow(struct NewWindow * new,
                                         struct Tool * tool,
                                         ULONG flags,
                                         char const * title);

/* Prototypes for functions defined in
m:lib/src/bpl_newclosewind.c
 */

void NewCloseEmbossedWindow(struct Tool * tool,
                            struct NewWindow * nw);

/* Prototypes for functions defined in
m:lib/src/bpl_openwindslop.c
 */

struct NewWindow * OpenEmbossedWindowSlop(struct NewWindow * new,
                                          struct Tool * tool,
                                          ULONG flags,
                                          char const * title,

                                SHORT slop);

/* Prototypes for functions defined in
m:lib/src/bpl_pstr.c
 */

void printString(struct RastPort * rp,
                 SHORT x,
                 SHORT y,
                 SHORT apen,
                 SHORT bpen,
                 SHORT mode,
                 struct String * string);

/* Prototypes for functions defined in
m:lib/src/bpl_pstrl.c
 */

void printStringl(struct RastPort * rp,
                  SHORT x,
                  SHORT y,
                  SHORT apen,
                  SHORT bpen,
                  SHORT mode,
                  struct String * string,
                  long maxlen
);

/* Prototypes for functions defined in
m:lib/src/bpl_rdchnk.c
 */

char * readchunk(long file,
                 long size);

/* Prototypes for functions defined in
m:lib/src/bpl_route.c
 */

struct Event * RouteEvent(struct Event * event,
                          struct Tool * tool,
                          ULONG pass,
                          ULONG branch);

/* Prototypes for functions defined in
m:lib/src/bpl_rectfill.c
 */

void DrawEmbossedRectFill(struct RastPort * rp,
                          SHORT x,
                          SHORT y,
                          SHORT x2,
                          SHORT y2,
                          SHORT fillpen,

  USHORT depressed);

/* Prototypes for functions defined in
m:lib/src/bpl_setrport.c
 */

void SetRPort(struct RastPort * rp,
              SHORT x,
              SHORT y,
              SHORT apen,
              SHORT bpen,
              SHORT mode);

/* Prototypes for functions defined in
m:lib/src/bpl_cloneoff.c
 */

struct NoteEvent * CloneNoteOff(struct NoteEvent * event);

/* Prototypes for functions defined in
m:lib/src/bpl_shobit.c
 */

char * showbits(ULONG x,
                int size);

/* Prototypes for functions defined in
m:lib/src/bpl_sizetitbar.c
 */

void SizeTitleBar(struct Window * w,
                  WORD delta);

/* Prototypes for functions defined in
m:lib/src/bpl_vanish.c
 */

void VanishGList(struct Window * w,
                 struct Gadget * glist,
                 UWORD count,
                 WORD delta);

/* Prototypes for functions defined in
m:lib/src/bpl_window.c
 */

struct NewWindow * OpenEmbossedWindow(struct NewWindow * new,
                                      struct Tool * tool,
                                      ULONG flags,
                                      char * title);

void CloseEmbossedWindow(struct Tool * tool,
                         struct NewWindow * nw);

/* Prototypes for functions defined in
m:lib/src/bpl_wrtxt.c
 */

void writeText(struct RastPort * rp,
               SHORT x,
               SHORT y,
               SHORT apen,
               SHORT bpen,
               SHORT mode,
               char * text,
               long maxlen);

/* Prototypes for functions defined in
m:lib/src/bpl_bozo.c
 */

struct Window * OpenBozoRequest(struct NewWindow * nw,
                                char * const title,
                                char * const body,
                                ULONG flags,
                                int apen,

                      int bpen,
                                int center,
                                char * const yestext,
                                char * const notext);

void CloseBozoRequest(struct Window * w);

long BozoRequest(struct NewWindow * nw,
                 char const * title,
                 char const * body,
                 ULONG flags,
                 int apen,
                 int bpen,
                 int center,
                 char *
const yestext,
                 char * const notext);

/* Prototypes for functions defined in
m:lib/src/bpl_snapshot.c
 */

struct StringEvent * BuildSnapshot(struct Tool * , long , UBYTE * , ULONG );

void PostSnapshot(struct Tool * , struct StringEvent * );

/* Prototypes for functions defined in
m:lib/src/bpl_addsnap.c
 */

void AddSnapshotGadget(struct Window * w);

/* Prototypes for functions defined in
m:lib/src/bpl_addtimetog.c
 */

void AddTimeToggleGadget(struct Window * w);

/* Prototypes for functions defined in
m:lib/src/bpl_zoomw.c
 */

void ZoomWindow(struct Window * );

/* Prototypes for functions defined in
m:lib/src/bpl_alohafatp.c
 */

void AlohaFatProp(struct Window * w,
                  WORD ghi,
                  WORD gbye,
                  WORD gup,
                  WORD gdown,
                  WORD delta);

