/***
* 		BPLib_AddSnapshotGadget.c -- module for BPLib.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  18 Sep 93 | created 
*/


#include <exec/types.h>
#include <intuition/intuition.h>
#include <proto/exec.h>
#include <proto/intuition.h>
#include "bars.h"
#include "proto/bpl_addsnap_protos.h"

extern struct IntuitionBase *IntuitionBase;
extern struct Functions * far functions;
extern struct Gadget SnapshotGadget;

/*==========================================================================
* AddSnapshotGadget
*
*  INPUT: pointer to open b&p embossed window
* RETURN: none
*
* EFFECT: removes title bar gadget, resizes, and refreshes; adds and draws
*         snapshot gadget
*=========================================================================*/

void AddSnapshotGadget(w)

struct Window *w;

{
   struct Gadget *gadget;
   USHORT position;
   
	/* make room for the gadget */
	gadget = (struct Gadget *)functions->GetGadget(w,0xFFE);
	functions->EmbossOff(w,0xFFE);
	position = RemoveGadget(w,gadget);
	gadget->Width -= 20;
	AddGList(w,gadget,position,1,NULL);
	RefreshGList(gadget,w,NULL,1);
	functions->EmbossOn(w,0xFFE,1);
	functions->DrawEmbossed(w,0xFFE);

   /* add the snapshot gadget */
	if (!(*functions->GetGadget)(w,667)) { /* the config gadget not there? */
		if (!SnapshotGadget.UserData) {
			SnapshotGadget.LeftEdge += 20; /* move it right */
			SnapshotGadget.UserData = (APTR)1;   /* avoid moving it again */
		}
	}
   AddGList(w,&SnapshotGadget,-1,1,NULL);
	RefreshGList(&SnapshotGadget,w,NULL,1);
}

