/***
*		bpl_cloneoff.c
*		 1996 Another Option   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
 14 Nov 96 | created
*/

#include <exec/types.h>
#include "bars.h"
#include "proto/bpl_cloneoff_protos.h"

extern struct Functions *functions;

/*==========================================================================
* CloneNoteOff
*
*  INPUT: pointer to NoteEvent
* RETURN: pointer to NoteEvent
*
* EFFECT: dupes an event and turns it into a note off at the appropriate time
*=========================================================================*/

struct NoteEvent *CloneNoteOff(event)

struct NoteEvent *event;

{
	register struct NoteEvent *off;
	
	if (off = (struct NoteEvent *)functions->dupeevent((struct Event *)event)) {
		off->next = NULL;
		off->time += off->duration;
		off->status = MIDI_NOTEOFF;
		off->velocity = 0;
	}
	return(off);
}
