/***
* 	bplib_fnnode.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
  18 Feb 94 | fixed enforcer hit
*/

#include <exec/types.h>
#include <stddef.h>
#include <string.h>
#include "proto/bpl_fnnode_protos.h"

/*==========================================================================
* fnnode
*
*  INPUT: pointer to a null-terminated string
* OUTPUT: none
* RETURN: pointer to the filename node in the string
*
* EFFECT: looks for the last ':' or '/' in name and returns pointer to the
*         character after it
*=========================================================================*/

char *fnnode(name)

char *name;

{
	char *node=NULL;
//	ULONG i;
//	ULONG j;
	
	if (*name) {
		for ( ; *name ; name++) {
			if ( (*name==':' || *name=='/') && *(name+1) ) {
				node = name+1;
			}
		}
	}
	return(node);
}

/*
		i = __builtin_strlen(name);
		j = 0;
		for ( ; j < i ; j++ ) {
			if ( *(name+j)==':' || *(name+j)=='/' && (j+1 < i) ) {
				node = name+j+1;
			}
		}
		if (!node) node=name;
	}
	return(node);
}

*/