/***
* 	bplib_gtext.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

#include <exec/types.h>
#include <intuition/intuition.h>
#include "bars.h"
#include "proto/bpl_gtext_protos.h"

extern struct Functions * far functions;

/*==========================================================================
* SetGadgetText
*
*  INPUT: pointer to window, gadget id, pointer to text string
* RETURN: none
*
* EFFECT: sets gadget's text, and redraws gadget with new text
*=========================================================================*/

void SetGadgetText(w, id, s)

struct Window *w;
short id;
char *s;

{
	struct Gadget *g = (struct Gadget *)functions->GetGadget(w,id);

	if (g) {
		g->GadgetText->IText = s;
		if (g->GadgetType & BOOLGADGET) functions->DrawEmbossed(w,id);
		else if (g->GadgetType & PROPGADGET) functions->DrawEmbossedProp(w,id);
	}
}
