/***
* 	bplib_hilo.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
  11 Feb 94 | dark grey on disabled gadget
*/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <intuition/intuition.h>
#include <proto/graphics.h>
#include <stdio.h>
#include "bplib.h"
#include "proto/bpl_hilo_protos.h"

extern struct GfxBase *GfxBase;
extern void SetRPort(struct RastPort *,SHORT ,SHORT ,SHORT ,SHORT ,SHORT );

/*==========================================================================
* hilo
*
*  INPUT: pointers to window and gadget, gadget value
* RETURN: gadget value
*
* EFFECT: display a pot value
*=========================================================================*/

long __saveds __stdargs hilo(w,g,h)

struct Window *w;
struct Gadget *g;
long h;

{
   char hiloText[4];

   SetRPort(w->RPort,g->LeftEdge+g->Width+XOffset,g->TopEdge+YOffset,
            (g->Flags & GADGDISABLED) ? HILO_DPEN : HILO_APEN, HILO_BPEN,
				HILO_DRAWMODE);
	sprintf(hiloText,"%3ld",h);
	Text(w->RPort,hiloText,3);
	return(h);
}



