/***
* 	bplib_hilobeats.c -- another module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  14 Feb 93 | created
   7 Jul 93 | updated for extra characters from lengthtostring() with B&P v2.0
*/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <intuition/intuition.h>
#include <proto/graphics.h>
#include <stdio.h>
#include <string.h>
#include "bars.h"
#include "bplib.h"
#include "proto/bpl_hilobeats_protos.h"


extern struct GfxBase *GfxBase;
extern void SetRPort(struct RastPort *,SHORT ,SHORT ,SHORT ,SHORT ,SHORT );
extern struct Functions *functions;
extern struct Tool *selectedtool;

/*==========================================================================
* hiloBeats
*
*  INPUT: pointers to window and gadget, gadget value
* RETURN: gadget value
*
* EFFECT: displays mm.bb.cc for a pot
*=========================================================================*/

long __saveds __stdargs hiloBeats(w,g,x)

struct Window *w;
struct Gadget *g;
unsigned long x;

{
	char text[16];

	if (x==0) x=1;
	SetRPort(w->RPort,g->LeftEdge+g->Width+XOffset,g->TopEdge+YOffset,
            (g->Flags & GADGDISABLED) ? HILO_DPEN : HILO_APEN, HILO_BPEN,
				HILO_DRAWMODE);
	functions->lengthtostring(selectedtool->clip,0,x,text);
	strcat(text,"   ");
	Text(w->RPort,text,11);
	return((long)x);
}
