/***
* 	bplib_hilonote.c -- still another module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <intuition/intuition.h>
#include <proto/graphics.h>
#include <stdio.h>
#include "bplib.h"
#include "proto/bpl_hilonote_protos.h"

extern struct GfxBase *GfxBase;
extern void SetRPort(struct RastPort *,SHORT ,SHORT ,SHORT ,SHORT ,SHORT );

/*==========================================================================
* hiloNote
*
*  INPUT: pointers to window and gadget, gadget value
* RETURN: gadget value
*
* EFFECT: display a pot value as a note name and octave
*=========================================================================*/

long __saveds __stdargs hiloNote(w,g,h)

struct Window *w;
struct Gadget *g;
long h;

{
   static char *hilo_notenames[12] = {
	   "C ","C#","D ","D#","E ","F ","F#","G ","G#","A ","A#","B "
   };
   char note_text[5];

	SetRPort(w->RPort,g->LeftEdge+g->Width+XOffset,g->TopEdge+YOffset,
            (g->Flags & GADGDISABLED) ? HILO_DPEN : HILO_APEN, HILO_BPEN,
				HILO_DRAWMODE);
   sprintf(note_text,"%2s",hilo_notenames[h%12]);
   sprintf(&note_text[2],"%-2d",h/12);
	Text(w->RPort,note_text,4);
	return(h);
}
