/***
* 	bplib_hilopcent.c -- another module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   5 Feb 93 | created
  11 Feb 94 | added HILO_DPEN
*/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <intuition/intuition.h>
#include <proto/graphics.h>
#include <stdio.h>
#include "bplib.h"
#include "proto/bpl_hilopcent_protos.h"

extern struct GfxBase *GfxBase;
extern void SetRPort(struct RastPort *,SHORT ,SHORT ,SHORT ,SHORT ,SHORT );

/*==========================================================================
* hiloPercent
*
*  INPUT: pointers to window and gadget, gadget value
* RETURN: gadget value
*
* EFFECT: display a pot value with a percent sign
*=========================================================================*/

long __saveds __stdargs hiloPercent(w,g,h)

struct Window *w;
struct Gadget *g;
long h;

{
	char text[5];

	SetRPort(w->RPort,g->LeftEdge+g->Width+XOffset,g->TopEdge+YOffset,
            (g->Flags & GADGDISABLED) ? HILO_DPEN : HILO_APEN, HILO_BPEN,
				HILO_DRAWMODE);
	sprintf(text,"%-3ld%%",h);
	Text(w->RPort,text,4);
	return(h);
}
