/***
* 	bplib_hilosw.c -- another module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
  11 Feb 94 | added HILO_DPEN
*/

#include <exec/types.h>
#include <graphics/gfx.h>
#include <intuition/intuition.h>
#include <proto/graphics.h>
#include <stdio.h>
#include "bplib.h"
#include "proto/bpl_hilosw_protos.h"

extern struct GfxBase *GfxBase;
extern void SetRPort(struct RastPort *,SHORT ,SHORT ,SHORT ,SHORT ,SHORT );

/*==========================================================================
* hiloSwitch
*
*  INPUT: pointers to window and gadget, gadget value
* RETURN: gadget value
*
* EFFECT: display a pot value of a MIDI switch controller (min==64)
*=========================================================================*/

long __saveds __stdargs hiloSwitch(w,g,h)

struct Window *w;
struct Gadget *g;
long h;

{
   char hiloText[4];
   
	h += 64; /* offset: minimum switch controller = 64 */
	SetRPort(w->RPort,g->LeftEdge+g->Width+XOffset,g->TopEdge+YOffset,
            (g->Flags & GADGDISABLED) ? HILO_DPEN : HILO_APEN, HILO_BPEN,
				HILO_DRAWMODE);
	sprintf(hiloText,"%3ld",h);
	Text(w->RPort,hiloText,3);
	return(h);
}
