/***
* 	bplib_rdchnk.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

#include <stddef.h>
#include "bars.h"
#include "proto/bpl_rdchnk_protos.h"

extern struct Functions * far functions;

/*==========================================================================
* readchunk
*
*  INPUT: file pointer, number of bytes to read
* RETURN: pointer to data read, or NULL
*
* EFFECT: allocates memory; reads data from file into it
*=========================================================================*/

char *readchunk(file, size)

long file;
long size;

{
	char *buff;
	
	if (buff = (char *)functions->myalloc(size,0)) {
		if ( functions->fastread(file,buff,size) == -1 ) {
			functions->myfree(buff,size);
			buff = NULL;
		}
	}
	return(buff);
}

