/***
* 	bplib_wrtxt.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

/* get min, max, abs macros from string.h */
#define USE_BUILTIN_MATH 1

#include <exec/types.h>
#include <graphics/gfx.h>
#include <proto/graphics.h>
#include <string.h>
#include "proto/bpl_wrtxt_protos.h"

extern void SetRPort(struct RastPort *,SHORT ,SHORT ,SHORT ,SHORT ,SHORT );

/*==========================================================================
* writeText
*
*  INPUT: pointer to RastPort, x & y coordinates, pen colors, draw mode,
*         pointer to character string, maximum length of string to write
* RETURN: none
*
* EFFECT: writes a null terminated string into a RastPort
*=========================================================================*/

void writeText(rp, x, y, apen, bpen, mode, text, maxlen)

struct RastPort *rp;
SHORT x;
SHORT y;
SHORT apen;
SHORT bpen;
SHORT mode;
char *text;
long maxlen;

{
	if (text) {
		SetRPort(rp,x,y,apen,bpen,mode);
		Text(rp,text,min(strlen(text),maxlen));
	}
}
