/***
* 		cl_sysex.c -- module for ConfigLib.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   8 Jan 94 | created
*/


#include <exec/types.h>
#include "bars.h"
#include "configlib.h"
#include "proto/cl_Sysex_protos.h"

/*==========================================================================
* ReadCInfoSysex
*
*  INPUT: pointer to ControllerInfo, pointer to sysex byte
* RETURN: pointer to last sysex byte read
*
* EFFECT: reads bytes from a string and sticks the values into the members of
*         a ControllerInfo.  Stops reading and returns on MIDI_EOX byte.
*=========================================================================*/

UBYTE *ReadCInfoSysex(ci, sx)

struct ControllerInfo *ci;
register UBYTE *sx;

{
	if (*sx != MIDI_EOX) {
		ci->controller = *((BYTE *)sx);
		if (*(++sx) != MIDI_EOX) {
			ci->range = *sx;
			if (*(++sx) != MIDI_EOX) {
				ci->type = *sx;
				if (*(++sx) != MIDI_EOX) {
					ci->flags = *sx;
				}
			}
		}
	}
	return(sx);
}
