/***
* 		rl_linear.c -- module for Random.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE    | WHAT
============================================================================
	 6 Feb 93 | created
*/

#include <exec/types.h>
#include <math.h>
#include "randomlib.h"
#include "bars.h"

extern struct Functions * far functions;

/*==========================================================================
* linear
*
*  INPUT: range
* RETURN: long  0..range
*
* EFFECT: generates discrete linear distribution
*=========================================================================*/

long linear(long range)

{
	long x1,x2;

	x1 = (*functions->random)(range);
	x2 = (*functions->random)(range);

	return( (x1 < x2) ? x1 : x2 );
}
	
