/***
* 		rl_rndrnd.c -- module for Random.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE    | WHAT
============================================================================
	 6 Feb 93 | created
*/

#include <exec/types.h>
#include <math.h>
#include "randomlib.h"
#include "bars.h"

extern struct Functions * far functions;

/*==========================================================================
* rndrnd
*
*  INPUT: range
* RETURN: long 0..range
*
* EFFECT: generates rnd-rnd distribution over 0 to range
*=========================================================================*/

long rndrnd(long range)

{
/*for dumping num for debugging
	long num;
	
   num = (long)(
           ((((*functions->random)((*functions->random)(65535)) / 65535.0) *
           ((*functions->random)((*functions->random)(65535)) / 65535.0))) *
           range + 0.5);

	return(num);
*/

   return(
         (long)(
           ((((*functions->random)((*functions->random)(65535)) / 65535.0) *
           ((*functions->random)((*functions->random)(65535)) / 65535.0))) *
           range + 0.5)
         );
}
