/***
* 	bplib_chksysx.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

#include <exec/types.h>
#include <stddef.h>
#include "bars.h"
#include "proto/bpl_chksx_protos.h"

extern struct Functions * far functions;

/*==========================================================================
* checksysex
*
*  INPUT: pointer to StringEvent, sysex manufacturer id, tool id
* RETURN: pointer to start of real sysex data, or NULL
*
* EFFECT: checks ids, returns pointer to appropriate data
*=========================================================================*/

char *checksysex(string, midiID, toolID)

struct StringEvent *string;
BYTE midiID;
ULONG toolID;

{
	register char *data = &string->string->string[1];

	if (*data == midiID) {
		data++;
		if (*(ULONG *)data == toolID) data += 4;
		else data = NULL;
	}
	else data = NULL;
	return(data);
}
