/***
* 	bplib_g.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  15 Jun 93 | created
*/

#include <exec/types.h>
#include <intuition/intuition.h>
#include <graphics/gfx.h>
#include <graphics/gfxmacros.h>
#include <proto/graphics.h>
#include "bars.h"
#include "proto/bpl_eraseg_protos.h"

extern struct GfxBase *GfxBase;
extern struct IntuitionBase *IntuitionBase;
extern struct Functions * far functions;

/*==========================================================================
* EraseEmbossed
*
*  INPUT: pointer to RastPort, GadgetID
* RETURN: none
*
* EFFECT: does a RectFill with color 0 to eliminate the imagery for a B&P
*         embossed gadget
*=========================================================================*/

void EraseEmbossed(w, id)

struct Window *w;
SHORT id;

{
   struct Gadget *g;
   
   if (g = (struct Gadget *)functions->GetGadget(w,id)) {
	   SetAPen(w->RPort,0);
   	SetDrMd(w->RPort,JAM1);
	   BNDRYOFF(w->RPort);  /* no outline on fill, please */
   	/* allow for the surrounding embossed border (2 pixels wide) */
	   RectFill(w->RPort, g->LeftEdge-2, g->TopEdge-1, g->LeftEdge+g->Width+1,
               g->TopEdge+g->Height);
	}
}

