/***
* 	bplib_fatprop.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

#include <exec/types.h>
#include <intuition/intuition.h>
#include "bars.h"
#include "proto/bpl_fatprop_protos.h"

extern struct Functions * far functions;

/*==========================================================================
* EnableFatProp
*
*  INPUT: pointer to window, gadget id, up/down gadget ids, enable flag
* RETURN: none
*
* EFFECT: enables/disables the gadget and its companion clicker gadgets
*=========================================================================*/

void EnableFatProp(w, id, downid, upid, enable)

struct Window *w;
short id;
short downid;
short upid;
short enable;

{
	functions->EnableEmbossed(w,id,enable);
	functions->EnableEmbossed(w,downid,enable);
	functions->EnableEmbossed(w,upid,enable);
}

