/***
* 	bplib_shobit.c -- module for bplib.lib
*   1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   4 Feb 93 | created
*/

#include <exec/types.h>
#include "proto/bpl_shobit_protos.h"

/*==========================================================================
* showbits
*
*  INPUT: a number, number of bits in the number
* RETURN: pointer to string
*
* EFFECT: converts number to string of 1s and 0s
*=========================================================================*/

#define SHBITS_LONG 32 /* 32 bits is the longest quantity supported */

char *showbits(x, size)

ULONG x;
int size;

{
	static char string[SHBITS_LONG+1]; 
	UBYTE j;

	for ( size--, j=0 ; (size >= 0) && (j < SHBITS_LONG) ; size--, j++ ) {
		string[j] = ( x & (1 << size) ) ? '1' : '0' ;
	}
	string[j] = '\0';
	return(string);
}
