/***
* 	bplib_vanishfatp.c -- module for bplib.lib
*   1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  18 Jan 94 | created -- but not completed!
*/

#include <exec/types.h>
#include <intuition/intuition.h>
#include <proto/intuition.h>
#include "bars.h"
#include "proto/bpl_vanishfatp_protos.h"


extern struct Functions * __far functions;


/*==========================================================================
* VanishFatPropList
*
*  INPUT: pointer to window, glist, id offsets for up and down clickers,
*         gadget count, Gadget.LeftEdge delta
* RETURN: none
*
* EFFECT: removes glist, adds offset to LeftEdge of each gadget, adds and
*         refreshes glist.  Use to put gadgets outside the window boundaries
*         with a positive offset, or move them back into the window with
*         a negative offset.
*
*   NOTE: only works with FatProp embossed gadgets iff all the up & down 
*         clicker GadgetIDs are offset by the same constant from the prop
*         gadgetIDs (e.g. all ups are id+100, all downs are id+200).
*=========================================================================*/

void VanishFatPropList(w, glist, gup, gdown, count, delta)

struct Window *w;
struct Gadget *glist;
WORD gup;
WORD gdown;
UWORD count;
WORD delta;

{
	struct Gadget *g = glist;
	UWORD pos;
	UWORD num = count;

	if (w) pos = RemoveGList(w,glist,count);
	for ( ; g && num ; g=g->NextGadget, num-- ) {
		g->LeftEdge += delta;
	}
	if (w) AddGList(w,glist,pos,count,NULL);
}

