/***
* 		ConfigLib_AddGadget.c -- module for ConfigLib.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   3 Feb 93 | created 
*/


#include <exec/types.h>
#include <intuition/intuition.h>
#include <proto/exec.h>
#include <proto/intuition.h>

#include "bars.h"
#include "proto/cl_AddGad_protos.h"

extern struct Functions * far functions;
extern struct IntuitionBase *IntuitionBase;
extern struct Gadget ConfigGadget;

/*==========================================================================
* AddConfigGadget
*
*  INPUT: pointer to open b&p embossed window
* RETURN: none
*
* EFFECT: removes title bar gadget, resizes, and refreshes; adds and draws
*         configuration gadget
*=========================================================================*/

void AddConfigGadget(w)

struct Window *w;

{
   struct Gadget *gadget;
   USHORT position;
   
	/* make room for the configuration gadget */
	functions->EmbossOff(w,0xFFE);
	position = RemoveGadget(w,gadget=functions->GetGadget(w,0xFFE));
	gadget->Width -= 20;
	AddGList(w,gadget,position,1,NULL);
	RefreshGList(gadget,w,NULL,1);
	functions->EmbossOn(w,0xFFE,1);
	functions->DrawEmbossed(w,0xFFE);

   /* add the configuration gadget */
   AddGList(w,&ConfigGadget,-1,1,NULL);
	RefreshGList(&ConfigGadget,w,NULL,1);
}

