/***
* 		ConfigLib_Debug.c -- dump module for ConfigLib.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   3 Feb 93 | created
  31 Dec 93 | stripped down to reflect new data structures
*/

#include <exec/types.h>
#include "bars.h"
#include "configlib.h"
#include "proto/debug_protos.h"

extern struct Functions * far functions;
//extern void dprintf();

/*==========================================================================
* dumpcinfo
*
*  INPUT: pointer to ControllerInfo
* RETURN: none
*
* EFFECT: dumps contents of a ControllerInfo structure
*=========================================================================*/

void dumpcinfo(struct ControllerInfo *c)
{
#pragma msg 87 ignore push
	dprintf("ControllerInfo @ %8ld\n",(long)c);
	dprintf("  controller=%3ld type=%3ld range=%3ld flags=%3ld\n",
            c->controller,c->type,c->range,c->flags);
#pragma msg 87 ignore pop
}

