/***
*		cl_Frame.c -- module for configlib.lib
*		 1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
   9 Jan 94 | created
*/

#include <exec/types.h>
#include <intuition/intuition.h>
#include "proto/bplib_protos.h"
#include "ui:h/ConfigFrame.h"
#include "proto/cl_Frame_protos.h"

/*==========================================================================
* DrawConfigFrame
*
*  INPUT: pointer to Window
* RETURN: none
*
* EFFECT: draws some boxes and writes some text to frame an expanded window's
*         configuration gadgetry.  The dimensions and locations of the frame
*         are determined algorithmically based on fields in the Window
*         structure and the #defines in ConfigFrame.h
*=========================================================================*/

void DrawConfigFrame(w)

struct Window *w;

{
	/* raised bevel box around gadgetry */
	DrawBevelBox(w->RPort,BOX_LEFT,BOX_TOP,BOX_WIDTH,BOX_HEIGHT,BOX_APEN,BOX_BPEN,0);

	/* filled rectangle plopped on the top line of the box for the label */
	DrawEmbossedRectFill(w->RPort,LABELBOX_LEFT,LABELBOX_TOP,LABELBOX_WIDTH,
		                  LABELBOX_HEIGHT,LABEL_BPEN,0);
	/* and the text in the label box */
#pragma msg 104 ignore push
	writeText(w->RPort,LABEL_X,LABEL_Y,LABEL_APEN,LABEL_BPEN,JAM2,
	          ConfigLabelText,LABEL_STRLEN-1);
#pragma msg 104 ignore pop
}