/***
* 		rl_triangle.c -- module for Random.lib
*  	 1993 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE    | WHAT
============================================================================
	 6 Feb 93 | created
*/

#include <exec/types.h>
#include <math.h>
#include "randomlib.h"
#include "bars.h"

extern struct Functions * far functions;

/*==========================================================================
* triangle
*
*  INPUT: range
* RETURN: long 0..range
*
* EFFECT: generates discrete triangle distribution
*=========================================================================*/

long triangle(long range)

{
/* debugging version for dumping
	double x1,x2;

	x1 = (*functions->random)(65535) / 65535.0;
	x2 = (*functions->random)(65535) / 65535.0;
	x1 = (x1+x2) * 0.5;
	return( (long)(x1 * range + 0.5) );
*/
   return ((long)
           ((((*functions->random)(65535)/65535.0) +
            ((*functions->random)(65535)/65535.0)) *
            range + 0.5)
          );
} 
